$(function() {
// // 导航头部固定
// 	var scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;
// 	if(scrollTop > 0){
// 		$(".jzk_nav_box").addClass("current2");
// 	}else{
// 		$(".jzk_nav_box").removeClass("current2");
// 	}
// $(document).scroll(function(){
// 	var scrollTop = document.documentElement.scrollTop || window.pageYOffset || document.body.scrollTop;
// 	if(scrollTop > 0){
// 		$(".jzk_nav_box").addClass("current2");
// 	}else{
// 		$(".jzk_nav_box").removeClass("current2");
// 	}
// })	

//切换
	$.extend({
		"swiperOption": function(f1, f2, f3, f4) {
			new Swiper(f1, {
				slidesPerView: 'auto',
				autoplay: true,
				loop: 1,
				navigation: {
					nextEl: f2,
					prevEl: f3,
				},
				pagination: {
					el: f4,
					clickable: true,
				}
			});
		},
	});
	$(".swiper_box").each(function(index) {
		$.swiperOption($(this), $(this).find(".swiper-button-next"), $(this).find(".swiper-button-prev"),
			$(this).find(".swiper-pagination"));
	});
	$(".swiper_box2").each(function(index) {
		$.swiperOption($(this), $(".fu_pro_212_nav .swiper-button-next"), $(".fu_pro_212_nav .swiper-button-prev"),
			$(this).find(".swiper-pagination"));
	});
	// $(".jzk_banner").each(function(index) {
	// 	$.swiperOption($(this), $(this).find(".swiper-button-next"), $(this).find(".swiper-button-prev"), $(this).find(
	// 		".swiper-pagination"));
	// });

	$(".swiper_box3").each(function(index) {
		$.swiperOption($(this), $(".k_index5 .swiper-button-next"), $(".k_index5 .swiper-button-prev"),
			$(".swiper_box3").find(".swiper-pagination"));
	});
	
	//切换
	$(".jzk_tab li").on("click", function() {
		$(this).addClass('jzk_active').siblings().removeClass('jzk_active');
		$(this).parents('.layui-container').find(".jzk_tab_box ul").eq($(this).index()).addClass(
			'layui-anim layui-anim-scale jzk_active').siblings().addClass('jzk_none').removeClass('jzk_active');
	});

	//banner漂浮导航
	if ($('.jzk_banner').length) {
		jzk_banner_h = $('.jzk_banner').height();
		$('.jzk_banner_nav01').show().css({
			'height': jzk_banner_h,
			'bottom': -jzk_banner_h
		});
		$('.jzk_banner_nav01 ul ul').css({
			'height': jzk_banner_h
		});
		$('.jzk_banner_nav01 li').hover(function() {
			$(this).toggleClass('hover').find('ul').stop(0, 0).toggle();
		});
	}
	//产品详情
	
	if ($('.jzk_product_show1').length) {
		$(".jzk_product_showtag a").on("click", function() {
			$(this).addClass('jzk_hover').siblings().removeClass('jzk_hover');
			$('.jzk_product_showb .jzk_b').hide();
			$('.jzk_product_showb .jzk_b').eq($(this).index()).show();
		});
	}
	//产品导航
	if ($('.jzk_product_sub').length) {
		$('.jzk_product_sub li').has('ul').hover(function() {
			$(this).find('ul').stop(0, 0).toggle();
		});
	}

	// 返回顶部
	// if ($('.jzk_scroll_top').length) {
	// 	$(window).scroll(function() {
	// 		if ($(this).scrollTop() > $(this).height()) {
	// 			$(".jzk_scroll_top").show();
	// 		} else {
	// 			$(".jzk_scroll_top").hide();
	// 		}
	// 	});
 //            $(".jzk_scroll_top").click(
 //                function(){$('html,body').animate({scrollTop:'0px'},'slow');
 //            })
	// }
            $(".k_footr2").click(
                function(){$('html,body').animate({scrollTop:'0px'},'slow');
            })


	/*响应式表格*/
	if ($('table').length) {
		$('table').wrap("<div class='price-table2'></div>");
	}
	/*用户头部*/
	if ($('.jzk_user_banner .jzk_box .jzk_r .jzk_r2').length) {
		$('.jzk_user_banner .jzk_box .jzk_r .jzk_r2').hover(function(){
			$(this).find('ul').toggle();
		});
	}

	//产品栏目左右等高
	function allh(t) {
		var height = 0;
		t.each(function(i) {
			if (height < t.eq(i).height()) {
				height = t.eq(i).height();
			}
		});
		return height;
	}
	function allh2(t) {
		var height = 0;
		t.each(function(i) {
			if (height < t.eq(i).find('.jzk_item').height()) {
				height = t.eq(i).find('.jzk_item').height();
			}
		});
		t.find('.jzk_item').height(height);
	}
	allh2($('.jzk_index2 .jzk_son_4>div'));
	$(window).resize(function() {
		$('.jzk_index2 .jzk_son_4>div .jzk_item').removeAttr('style');
		allh2($('.jzk_index2 .jzk_son_4>div'));
	});
	
	
	    //锚点跳转滑动效果  
	    $('a[href*=#],area[href*=#]').click(function() {  
	        console.log(this.pathname)  
	        if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {  
	            var $target = $(this.hash);  
	            $target = $target.length && $target || $('[name=' + this.hash.slice(1) + ']');  
	            if ($target.length) {  
	                var targetOffset = $target.offset().top-50;  
	                $('html,body').animate({  
	                            scrollTop: targetOffset  
	                        },  
	                        400);  
	                return false;  
	            }  
	        }  
	    }); 
	    //锚点跳转滑动效果  
		
		
		
});

//页面层-图片
layui.use('layer', function(){
  var layer = layui.layer;

  $(".k_footr3,.k_index4 a").click(function(){
  		// layer.open({
  		//   type: 1,
  		//   title: false,
  		//   closeBtn: 1,
  		//   area: ['auto'],
  		// shade: 0.8,
  		//   skin: 'layui-layer-nobg', //没有背景色
  		//   shadeClose: true,
  		//   content: $('.popup')
  		// });
		
		$('.nb-icon-wrap').click();
  });
  // $(".jzk_banner .k_2").mouseover(function(){
  $(".jzk_banner .k_2").click(function(){
  // 		layer.open({
  // 		  type: 1,
  // 		  title: false,
  // 		  closeBtn: 1,
  // 		  area: ['auto'],
		// shade: 0.8,
  // 		  skin: 'layui-layer-nobg', //没有背景色
  // 		  shadeClose: 0,
  // 		  content: $('.popup')
  // 		});
  
	$('.nb-icon-wrap').click();
  });
  $(".cnzlist_an2").click(function(){
  		layer.open({
  		  type: 1,
  		  title: false,
  		  closeBtn: 1,
  		  area: ['auto'],
		shade: 0.8,
  		  skin: 'layui-layer-nobg', //没有背景色
  		  shadeClose: 0,
  		  content: $('.popup')
  		});
  
  });
  
  
  
  $(".jxv3,.cnzlist_an").click(function(){
  		// layer.open({
  		//   type: 1,
  		//   title: false,
  		//   closeBtn: 1,
  		//   area: ['auto'],
  		// shade: 0.8,
  		//   skin: 'layui-layer-nobg', //没有背景色
  		//   shadeClose: 0,
  		//   content: $('.popup')
  		// });
		$('.nb-icon-wrap').click();
  });
});
  
  
  
//滚动元素动画
AOS.init({
	offset: 200,
	duration: 600,
	easing: 'ease-in-sine',
	delay: 100,
	once:true,
});


$(window).load(function(){
	
	//导航
	$(window).resize(function() {
			$(".jzk_toggle_01").parent().removeClass('jzk_open');
			$(".jzk_nav_01 li a").css({'margin-left':0});
			if ($(window).width() > 767) {
				$(".jzk_nav_01").show();
			}
	});
	
		$(".jzk_nav_01").height('auto');
		$(".jzk_toggle_01").parent().removeClass('jzk_open');
		$(".jzk_nav_01 li a").removeAttr('style');
		$(".jzk_nav_01 li").has('ul').children('a').each(function(i) {
			href = $(this).attr('whref');
			$(this).attr({
				'href': href
			});
		});
		$(".jzk_nav_01 ul ul").hide();
		$(".jzk_nav_01 li").has('ul').hover(function() {
			if ($(window).width() > 767) {
				$(this).children('a').attr({
					'href': $(this).children('a').attr('whref')
				});
				$(this).css({
					'overflow': 'inherit'
				});
				$(this).toggleClass('hover').children('ul').stop(0, 0).slideToggle('fast');
			}else{
					$(".jzk_sub li").has('ul').children('a').each(function(i) {
							href = $(this).attr('href');
							$(this).attr({
								'whref': href
							});
						$(this).attr({
							'href': 'javascript:;'
						});
					});
			}
		});
	
		$(".jzk_toggle_01").on('click', function() {
			if ($(window).width() < 767) {
				$(".jzk_nav_01 li").has('ul').children('a').each(function(i) {
						href = $(this).attr('href');
						$(this).attr({
							'whref': href
						});
					$(this).attr({
						'href': 'javascript:;'
					});
				});
			}
			jzknav = $('.jzk_nav_01');
			$(this).parent().toggleClass('jzk_open');
			jzknav.find('.jzk_nav_01 ul ul').stop(0, 0).slideUp('fast');
			jzknav.find('.jzk_nav_01').find('li').removeClass('hover');
			jzknav.find('.jzk_nav_01').stop(0, 0).slideToggle('fast').css({
				'overflow': 'inherit'
			});
			jzknav.find('ul ul').stop(0, 0).slideUp('fast');
			jzknav.find('li').removeClass('hover');
			jzknav.stop(0, 0).slideToggle('fast');
		});
		$(".jzk_nav_01 li a").on('click', function() {
				$(this).parent("li").toggleClass('hover').children('ul').stop(0, 0).slideToggle('fast');
		})
	
});